angular.module('starter')
.config(function ($stateProvider, $urlRouterProvider) {
    $stateProvider
        .state('login', {
               url: '/login?page&id',
               controller: 'LoginCtrl',
               templateUrl: 'templates/login.tpl.html'
               })
        .state('content', {
            url: '/content',
            template: '<ion-nav-bar class="bar-xh" align-title="center">' +
                '<ion-nav-back-button ng-click="customGoBack()">' +
                '</ion-nav-back-button>' +
            '</ion-nav-bar>' +
            '<ion-nav-view></ion-nav-view>'
        })
        .state('content.home', {
            url: '/home',
            controller: 'HomeCtrl',
            templateUrl: 'templates/home.tpl.html'
        })
        .state('content.changeUser', {
               url: '/changeUser',
               controller: 'LoginCtrl',
               templateUrl: 'templates/change-user.tpl.html'
               })
        .state('content.userCenter', {
            url: '/userCenter',
            template: '<ion-nav-view></ion-nav-view>'
        })
        .state('content.userCenter.index', {
            url: '/index',
            controller: 'UserCenterCtrl',
            templateUrl: 'templates/user-center.tpl.html'
        })
        .state('content.userCenter.orderList', {
            url: '/orderList',
            controller: 'OrderListCtrl',
            templateUrl: 'templates/order-list.tpl.html'
        })
        .state('content.userCenter.messageList', {
               url: '/messageList',
               controller: 'MessageListCtrl',
               templateUrl: 'templates/message-list.tpl.html'
        })
        .state('content.userCenter.orderDetail', {
            url: '/orderDetail/:orderId',
            controller: 'OrderDetailCtrl',
            templateUrl: 'templates/order-detail.tpl.html'
        })
        .state('content.userCenter.changePassword', {
            url: '/changePassword/:userId',
            controller: 'ChangePasswordCtrl',
            templateUrl: 'templates/change-password.tpl.html'
        })
        .state('content.userCenter.couponList', {
            url: '/couponList',
            controller: 'CouponListCtrl',
            templateUrl: 'templates/coupon-list.tpl.html'
        })
        .state('content.userCenter.aboutus', {
               url: '/aboutus',
               templateUrl: 'templates/aboutus.tpl.html'
               })
        .state('content.userCenter.credits', {
               url: '/credits',
                controller: 'ReportCtrl',
               templateUrl: 'templates/credits.tpl.html'
               })
        .state('content.findProject', {
            url: '/findProject',
            controller: 'FindProjectCtrl',
            templateUrl: 'templates/find-project.tpl.html'
        })
        .state('content.projectList', {
            url: '/projectList?subCategoryId&subCategoryName',
            controller: 'ProjectListCtrl',
            templateUrl: 'templates/project-list.tpl.html'
        })
        .state('content.projectDetail', {
            url: '/projectDetail?projectId',
            controller: 'ProjectDetailCtrl',
            templateUrl: 'templates/project-detail.tpl.html'
        })
        .state('content.doctorList', {
            url: '/doctorList?keyword',
            controller: 'DoctorListCtrl',
            templateUrl: 'templates/doctor-list.tpl.html'
        })
        .state('content.doctorDetail', {
            url: '/doctorDetail?doctorId&commentId',
            controller: 'DoctorDetailCtrl',
            templateUrl: 'templates/doctor-detail.tpl.html'
        })
        .state('content.hospitalDetail', {
            url: '/hospitalDetail?hospitalId',
            controller: 'HospitalDetailCtrl',
            templateUrl: 'templates/hospital-detail.tpl.html'
        })
        .state('content.eventList', {
               url: '/eventList?column_type',
               controller: 'EventListCtrl',
               templateUrl: 'templates/event-list.tpl.html'
               })
        .state('content.placeOrder', {
               url: '/placeOrder?projectId',
               controller: 'PlaceOrderCtrl',
               templateUrl: 'templates/place-order.tpl.html'
               })
        .state('content.payResult', {
               url: '/payResult/:reserveCode/{submitTime}',
               controller: 'PlaceOrderCtrl',
               templateUrl: 'templates/pay-result.tpl.html'
               })
        .state('content.column', {
               url: '/column?columnId&commentId',
               controller: 'ColumnCtrl',
               templateUrl: 'templates/column.tpl.html'
               })
        .state('content.search', {
               url: '/search?keyword',
               controller: 'SearchCtrl',
               templateUrl: 'templates/search.tpl.html'
               })
        .state('content.report', {
               url: '/report',
               controller: 'ReportCtrl',
               templateUrl: 'templates/report.tpl.html'
               })
        .state('content.consult', {
               url: '/consult',
               controller: 'ConsultCtrl',
               templateUrl: 'templates/consult.tpl.html'
               });
        $urlRouterProvider.otherwise('login');
});
